petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscLogGpuFlops

Log how many flops are performed in a calculation on the device

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode PetscLogGpuFlops(PetscLogDouble n)

### Input Paramters

flops - the number of flops

### Notes

To limit the chance of integer overflow when multiplying by a constant, represent the constant as a double, not an integer. Use PetscLogFlops(4.0*n) not PetscLogFlops(4*n)

### See Also

PetscLogView(), PetscLogFlops(), PetscLogGpuTimeBegin(), PetscLogGpuTimeEnd()

### Level

intermediate

### Location

src/sys/logging/../../../include/petsclog.h
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages